Create a new token
curl --request POST \
--url https://api.lynkwell.com/identity/v2/tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isValid": true,
"value": "<string>",
"paymentTerminalId": "<string>",
"driverId": "<string>",
"network": "<string>",
"name": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.lynkwell.com/identity/v2/tokens"
payload = {
"isValid": True,
"value": "<string>",
"paymentTerminalId": "<string>",
"driverId": "<string>",
"network": "<string>",
"name": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isValid: true,
value: '<string>',
paymentTerminalId: '<string>',
driverId: '<string>',
network: '<string>',
name: '<string>',
expiresAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.lynkwell.com/identity/v2/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"network": "<string>",
"isValid": true,
"type": "AD_HOC_PAYMENT_TERMINAL",
"whitelistType": "ALWAYS",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"value": "<string>",
"driver": "<string>",
"paymentTerminal": "<string>",
"name": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"type": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "<string>"
}{
"message": "<string>"
}{
"type": "NOT_FOUND",
"code": "TOKEN_NOT_FOUND",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Token
Create a new token
Creates a new token. Supports multiple token types including PAYMENT_TERMINAL, VEHICLE, RFID, and others.
In V2, use the value field to provide a custom token identifier (replaces the id field from V1).
POST
/
identity
/
v2
/
tokens
Create a new token
Authorizations
OAuth2 Client Credentials Flow
Body
application/json
Available options:
AD_HOC_USER, APP_USER, OTHER, PAYMENT_TERMINAL, AD_HOC_PAYMENT_TERMINAL, RFID, ROAMING_PARTNER, VEHICLE Available options:
ALWAYS, ALLOWED, ALLOWED_OFFLINE, NEVER A value can optionally be provided when creating a token. For example to register a VEHICLE token you would create a token with the "value" being the VID. For example VID:A1B2C3D4
The ISO date time when the token will expire. If not provided, the token will not expire.
Response
A new token has been created.
Show child attributes
Show child attributes